- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#body.aspect)
- [ArchiveDaiEncodingProfileRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#ArchiveDaiEncodingProfileRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#ArchiveDaiEncodingProfileRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#try-it)

Archives a list of `DaiEncodingProfile` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/daiEncodingProfiles:batchArchive`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#ArchiveDaiEncodingProfileRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiEncodingProfiles/batchArchive#ArchiveDaiEncodingProfileRequest`)`` Required. The `DaiEncodingProfile` objects to archive. A maximum of 100 objects can be archived in a batch. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ArchiveDaiEncodingProfileRequest

Request object for `ArchiveDaiEncodingProfile` method.

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The resource name of the DaiEncodingProfile to archive. Format: `networks/{networkCode}/daiEncodingProfiles/{dai_encoding_profile_id}` |